Skip to main content
Resource Center/Network Resource/L3 Network Operations

CreateL3Network

CreateL3Network

POST/zstack/v1/l3-networks

Operation ID

CreateL3Network

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The L3 network name.

    • description
      String

      Optional. The detailed description of the L3 network.

    • type
      String

      Optional. The L3 network type.

    • l2NetworkUuid
      StringRequired

      The L2 network UUID.

    • ipVersion
      String

      Optional. The IP version.

    • system
      boolean

      Optional. Whether the L3 network can be applied to appliance VM instances.

    • dnsDomain
      String

      Optional. The DNS domain.

    • resourceUuid
      String

      Optional. The resource UUID. If specified, the L3 network will use the specified value as UUID.

    • category
      String

      Optional. The network type, which must be used with the system tags. If system is set to false, this parameter can be set to Public or Private.

    • tagUuids
      List

      The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

  • paramsstructure
    ObjectRequired

    paramsstructure request body object.

    • enableIPAM
      BooleanRequired

      Whether to enable the IP address management.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    L3NetworkInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The L3 network type.

    • zoneUuid
      StringRequired

      The zone UUID.

    • l2NetworkUuid
      StringRequired

      The L2 network UUID.

    • state
      StringRequired

      The state of the L3 network.

    • dnsDomain
      StringRequired

      The DNS domain.

    • system
      BooleanRequired

      Whether the L3 network can be applied to appliance VM instances.

    • category
      StringRequired

      The network type, which must be used with the system tags. If system is set to true, this parameter can be set to Public or Private.

    • ipVersion
      IntegerRequired

      The IP version.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • dns
      ListRequired

      The DNS server.

    • ipRanges
      ListRequired

      See ipRanges.

      • uuid
        StringRequired

        The resource UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description of the resource.

      • startIp
        StringRequired

        The start IP.

      • endIp
        StringRequired

        The end IP.

      • netmask
        StringRequired

        The netmask.

      • prefixLen
        StringRequired

        The prefix length.

      • gateway
        StringRequired

        The gateway IP address.

      • networkCidr
        StringRequired

        The network cidr.

      • ipVersion
        IntegerRequired

        The IP version.

      • addressMode
        StringRequired

        The allocation mode of the IPv6 address.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • ipRangeType
        IpRangeTypeRequired

        See ipRangeType.

        • Normal
          IpRangeTypeRequired

          Normal IP range.

        • AddressPool
          IpRangeTypeRequired

          IP range pool.

    • networkServices
      ListRequired

      See networkServices.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • networkServiceProviderUuid
        StringRequired

        The network service provider UUID.

      • networkServiceType
        StringRequired

        The network service type.

    • hostRoute
      ListRequired

      See hostRoute.

      • id
        LongRequired

        The resource ID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • prefix
        StringRequired

        The prefix.

      • nexthop
        StringRequired

        The next hop.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

  • Change Time

    AddedRequest body fields paramsstructure
    View API